@font-face {
    font-family: 'Merriweather';
    font-display: swap;
    src: url('/assets/fonts/Merriweather.woff2') format('woff2'); 
    font-weight: 100 900;
    font-style: normal;
}

@font-face {
    font-family: 'Inter';
    font-display: swap;
    src: url('/assets/fonts/Inter.woff2') format('woff2');
    font-weight: 100 900;
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {

    /*Background-Colors*/
    --background-color: #14222A;
    --background-color-2: #1B323F;
    --background-color-3: #334752;

    /*Font*/
    --accent-color: #E9AB72;
    --dark-accent-color: #836040;
    --action-color: #C9A14A;
    --text-color: #DED6C7;
    --text-color-dark: #222222;

    --error-color: #861919;
    --success-color: #278833;

    /*Attribute*/
    --wrapper: 8%;
    --border-radius: 0.5rem;

}

body {
    overflow-x: hidden;
    max-width: 100%;
}

html {
    scroll-behavior: smooth;
    font-size: 16px;
    max-width: 100%;
}

body {
    width: 100%;
    min-width: 320px;
    background-color: var(--background-color);
    font-family: "Inter";
}


h1 {
    color: var(--text-color);
    font-size: clamp(2.2rem, 4vw, 3.4rem);
    line-height: 120%;
    letter-spacing: 0.5px;
    font-weight: 700;
}

h2 {
    color: var(--text-color);
    font-size: clamp(1.6rem, 2.4vw, 2.2rem);
    line-height: 125%;
    font-weight: 600;
}

h3 {
    color: var(--text-color);
    font-size: clamp(1.2rem, 1.6vw, 1.5rem);
    line-height: 130%;
    font-weight: 600;
}

.font-highlight {
    font-family: "Merriweather";
    font-weight: 600;
}

.font-accent-color {
    color: var(--accent-color);
}


p, li {
    color: var(--text-color);
    font-size: clamp(0.95rem, 1.1vw, 1.05rem);
    line-height: 170%;
}

a {
    cursor: pointer;
}

a, label { 
    color: var(--text-color); 
    text-decoration: none; 
    transition: 0.1s ease;
}
a:hover {
    opacity: 0.8;
}

input,textarea {
    padding: 1rem 0.8rem;
    background-color: var(--background-color);
    border: 1px solid var(--text-color);
    border-radius: var(--border-radius);
    color: var(--text-color);
    font-size: 1rem;
}

span {
    color: var(--text-color);
}

img {
    width: 100%;
}

/* Basis für alle Einflieger */
.animate-on-scroll {
    opacity: 0;
    transform: translateY(50px) scale(0.95);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

/* Sichtbar */
.animate-on-scroll.visible {
    opacity: 1;
    transform: translateY(0) scale(1);
}

/* Varianten für unterschiedliche Richtungen */
.left { transform: translateX(-5%); }
.right { transform: translateX(5%); }
.top { transform: translateY(-5%); }
.bottom { transform: translateY(5%); }

/* Wenn sichtbar, reset Transformation */
.left.visible,
.right.visible,
.top.visible,
.bottom.visible {
    transform: translate(0,0) scale(1);
}


button,
.primary-btn {
    font-size: clamp(0.9rem, 1vw, 1rem);
    padding: 0.85rem 1.6rem;
    font-weight: 600;
    padding: 0.8rem 1.3rem;
    transition: 0.2s ease;
    border-radius: var(--border-radius);
    border: none;
    color: var(--text-color-dark);
}

button:disabled {
    opacity: 0.5 !important;
    cursor: not-allowed !important; 
    background-color: #aaa !important;
}

.primary-btn {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.1rem;
    justify-content: center;
    font-weight: 700;
    color: var(--background-color);
    border: none;
    border-radius: 0.5rem;
    background: linear-gradient(135deg, var(--action-color) 0%, var(--action-color) 50%, var(--action-color) 100%);
    background-size: 200% 200%;
    transition: all 0.4s ease;
    box-shadow: 0 0 10px rgba(201, 161, 74, 0.4);
    overflow: hidden;
    cursor: pointer;
}

.primary-btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: -75%;
    width: 50%;
    height: 100%;
    background: linear-gradient(
        120deg,
        rgba(255, 255, 255, 0) 0%,
        rgba(255, 255, 255, 0.4) 50%,
        rgba(255, 255, 255, 0) 100%
    );
    transform: skewX(-25deg);
}

.primary-btn:hover {
    background-position: 100% 0;
}

.primary-btn:hover::before {
    animation: shine 1s forwards;
}

@keyframes shine {
    0% {
        left: -75%;
    }
    100% {
        left: 125%;
    }
}


/* Gilt nur für "normale" Buttons, nicht den Hamburger */
button:not(#hamburger):hover {
  cursor: pointer;
  opacity: 0.8;
}

button:disabled:hover {
    transform: scale(1) !important;
}

.grid {
    display: grid;
}

.grid-3xn {
    grid-template-columns: repeat(3, 1fr);
}

.grecaptcha-badge {
    display: none !important;
}

#error-page {
    gap: 0.5rem;
}

#error-page #animation {
    width: 30vw;
}

#error-page button {
    margin-top: 2rem;
}


/* ===== Styling für Rechtsseiten (legal-page) ===== */
.legal-page {
    max-width: 900px;
    margin: 0 auto;
    padding: 3rem 1rem;
    line-height: 1.7; /* Lesbarkeit */
    text-align: left;
}

.legal-page section {
    display: block;
}

.legal-page h1,
.legal-page h2,
.legal-page h3 {
    width: 100%;
    margin-top: 2rem !important;
    margin-bottom: 1rem !important;
    font-weight: 600;
    letter-spacing: 2px;
}

.legal-page h1 {
    font-size: 2.2rem;
}

.legal-page h2 {
    font-size: 1.6rem;
}

.legal-page h3 {
    font-size: 1.3rem;
}

.legal-page p {
    margin-bottom: 1.2rem;
}

.legal-page a {
    text-decoration: underline;
    color: inherit;
    transition: color 0.2s;
}

.legal-page a:hover {
    color: var(--text-color);
}

.legal-page ul,
.legal-page ol {
    width: 95%;
    margin-left: 5%;
    margin-bottom: 1.2rem;
}

.legal-page li {
    margin-bottom: 0.5rem;
}

.legal-page blockquote {
    border-left: 4px solid #ccc;
    padding-left: 1rem;
    color: #555;
    margin: 1.5rem 0;
    font-style: italic;
}

.legal-page table {
    width: 100%;
    border-collapse: collapse;
    margin: 1.5rem 0;
}

.legal-page table th,
.legal-page table td {
    border: 1px solid #ddd;
    padding: 0.8rem;
    text-align: left;
}

.legal-page table th {
    background-color: #f5f5f5;
}



@media (max-width: 768px) {
    .legal-page {
        padding: 2rem 1rem;
    }
}





.cookie-banner {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background: var(--background-color-3);
  color: var(--text-color);
  padding: 1rem 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 1000;
  font-family: sans-serif;
  box-shadow: 0 -2px 10px rgba(0,0,0,0.3);
}

.cookie-banner p {
  margin: 0;
  font-size: 0.9rem;
}

.cookie-buttons {
    display: flex;
    gap: 0.3rem;
}

.cookie-banner button {
  background: var(--accent-color);
  border: none;
  padding: 0.5rem 1rem;
  color: var(--background-color);
  cursor: pointer;
  font-size: 0.9rem;
  border-radius: var(--border-radius);
}

.cookie-banner #decline-cookies {
    background-color: var(--text-color);
}


/*HEADER*/

header {
    position: sticky;
    top: 0;
    z-index: 9999;
    will-change: transform;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    width: 100%;
    height: 100px;
    padding: 0 var(--wrapper);

    background-color: var(--background-color);
    z-index: 999;

    background: linear-gradient(
        to right,  
        var(--background-color) 0%,
        var(--background-color-2) 100%
    );

}

header nav {
    display: flex;
    gap: 1.5rem;
}

header #mobile {
    position: fixed;
    top: 100px;
    left: 0;
    width: 100%;
    display: none;
    flex-direction: column;
    background: linear-gradient(
        to right,  
        var(--background-color) 0%,
        var(--background-color-2) 100%
    );
    padding: 1rem var(--wrapper) 2rem var(--wrapper);

    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transform: translateY(-10px);
    transition:
        max-height 0.5s cubic-bezier(0.33, 1, 0.68, 1),
        opacity 0.4s ease,
        transform 0.4s ease;
    border-top: 1px solid var(--accent-color);
}

header #mobile.active {
  max-height: 500px;  
  opacity: 1;
  transform: translateY(0);
}

header #mobile a {
    display:flex;
    align-items: center;
    gap: 0.5rem;
    font-size: 1.25rem;
}

header #mobile a img {
    width: 1.2rem;
    transform: rotate(-90deg);
}

header #mobile span {
    border-left: 2px solid var(--text-color);
    padding-left: 0.5rem;
    opacity: 0.7;
}

header #logo {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 2rem;
}

header #logo a {
    display: flex;
    height: 100%;
}

header #logo a img {
    height: 100%;
}

header #header-btn {
    display: flex;
    gap: 1rem;
}

header #header-btn #header-cta {
    padding: 0.8rem 2rem;
}

#hamburger {
  display: none;
  flex-direction: column;
  justify-content: space-between;
  padding: 1rem !important;
  background: none;
  border: 1px solid var(--text-color);
  cursor: pointer;
  z-index: 1000;
  gap: 0.5rem;
  box-sizing: content-box;
}

#hamburger span {
  display: block;
  width: 1.8rem;
  height: 2px;
  background-color: var(--text-color);
  border-radius: var(--border-radius);
  transition:
    transform 1s cubic-bezier(.2,.9,.3,1);
  transform-origin: center;
}

#hamburger.active span:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}
#hamburger.active span:nth-child(2) {
  opacity: 0;
  transform: translateX(-10px);
}
#hamburger.active span:nth-child(3) {
  transform: translateY(-9px) rotate(-45deg);
}


/* Optional: Hover-Finish und hit-area */
#hamburger:focus { outline: none; }
#hamburger:hover span { opacity: 0.9; }



main {
    display: flex;
    flex-direction: column;
}

/*MAIN*/
main section {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: var(--wrapper);
    gap: 4rem;
    scroll-margin-top: 25px;
}

/*Footer*/
footer {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    flex-direction: column;
    padding: var(--wrapper);
    background: linear-gradient(
        to bottom,  
        var(--background-color-2) 0%,
        var(--background-color) 100%
    );
    min-height: 50vh;
    border-top: 1px solid var(--accent-color);
    gap: 5rem;
}

footer a {
    cursor: pointer;
}

footer .title {
    color: var(--text-color);
    font-family: "Merriweather-light";
    font-size: 1.5rem;
}

footer #footer-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5rem;
}

footer #footer-top > * {
    width: 35%;
}

footer #footer-top #company-info {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}

footer #footer-top #company-info img {
    width: 8rem;
}

footer #footer-top #working-hours {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

footer #footer-top #working-hours #working-time{
    display: flex;
    align-items: center;
    gap: 0.3rem;
}

footer #footer-top #working-hours #working-time img {
    width: 1.5rem;
}

footer #footer-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

footer #footer-bottom #social-links {
    display: flex;
    gap: 0.5rem;
}

footer #footer-bottom #social-links a {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    width: 2rem;
}

footer #footer-bottom #social-links a img {
    width: 100%;
}

footer #footer-bottom #legal-links {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
}

footer #copyright {
    display: block;
    margin-top: 1rem;
    line-height: 150%;
    opacity: 0.7;
}


/* Große Desktops (bis 1920px) */
@media (max-width: 1920px) {
   /* header { background-color: green; }*/

}

/* Laptops (bis 1280px) */
@media (max-width: 1280px) {
   /* header { background-color: yellow; }*/
    html {
        font-size: 15px;
    }
}

/* Tablets (bis 1024px) */
@media (max-width: 1024px) {
  /*  header { background-color: orange; }*/

    .h2-heading span {
        font-size: 1.25rem;
    }

    button {
        font-size: 1rem;
        padding: 0.8rem 1rem !important;

    }

    .cookie-banner {
        flex-direction: column;
        gap: 1rem;
    }

    header #hamburger {
        display: flex;
    }
    header #header-cta {
        display: none;
    }
    header #mobile {
        display: flex;
    }
    header #desktop {
        display: none;
    }

    main section {
        scroll-margin-top: 100px;
    }


    footer #footer-top {
        margin-top: 3rem;
        flex-direction: column;
        gap: 5rem;
    }

    footer #footer-top > * {
        width: 100%;

    }

    footer #footer-bottom {
        flex-direction: column;
        gap: 1rem;
    }

    footer #copyright {
        width: 100%;
        text-align: center;
    }

}

/* Kleine Smartphones (bis 480px) */
@media (max-width: 480px) {
    /*header { background-color: red; }*/
}

